Bug 242459 - Wrong init script
Wrong init script
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: iptables (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On: 242457
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-04 08:26 EDT by Michal Marciniszyn
Modified: 2014-02-10 18:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-29 10:51:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Marciniszyn 2007-06-04 08:26:33 EDT
+++ This bug was initially created as a clone of Bug #242457 +++

Description of problem:
ip6tables and iptables init scripts contain several bugs. Both of them wrongly
return error codes and also call of status code is not correct. For example
if lsmod 2>/dev/null | grep -q ipchains ; then
    echo -n $"ipchains and $IPTABLES can not be used together."; warning; echo
    exit 0
fi
should not return exit code 0. Also status shoud be run always (irrespectible
whether the service could be successfully started).

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

This bug is tracked by 237789.
Comment 1 Thomas Woerner 2007-08-23 05:42:24 EDT
What exactly do you mean with "Also status shoud be run always (irrespectible
whether the service could be successfully started)." ?
Comment 2 Michal Marciniszyn 2007-08-23 06:26:54 EDT
Yes, exactly, irrespectible of that. Harald had created excellent guidelines for
fedora (keeping in mind LSB header and other stuff needed for parallel boot and
several other improvements and also some corner cases):

http://fedoraproject.org/wiki/FCNewInit/

if you would be so kind and make initscript following these, it would be excellent.
Comment 3 Thomas Woerner 2007-08-29 10:51:52 EDT
Fixed in rawhide in package iptables-1.3.8-2.fc8.

Note You need to log in before you can comment on or make changes to this bug.